Bug 249573 - Shift with some Function Keys no longer work
Shift with some Function Keys no longer work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 11:42 EDT by Michael Cronenworth
Modified: 2010-06-28 06:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 337252 None None None Never
GNOME Desktop 540179 None None None Never

  None (edit)
Description Michael Cronenworth 2007-07-25 11:42:03 EDT
Description of problem: Pressing SHIFT+F1, SHIFT+F2, SHIFT+F3, SHIFT+F4 no
longer works in vte-0.16.6. This bug occurred back when I upgraded from FC6 to
F7, but I just now got around to filing a bug. SHIFT+F5 and higher work just fine.


Version-Release number of selected component (if applicable): 0.16.6-1.fc7


How reproducible: Always


Actual results: Wrong xterm map is being sent to the terminal.


Expected results:


Additional info: vte-0.14.2-1.fc6 works just fine. This was the last update for
FC6. I am using this on my F7 system as a workaround for now.
Comment 1 Behdad Esfahbod 2007-08-02 11:41:51 EDT
Can you test with vte-0.16.8 from updates-testing repo for f7?
Comment 2 Michael Cronenworth 2007-08-02 12:18:11 EDT
I upgraded to 0.16.8 and after starting up Terminal (XFCE) my program could not
recognize SHIFT+F4 anymore, just like with 0.16.6.

Upon rolling back to 0.14.2 and restarting Terminal my SHIFT+F4 worked again.

I want to add that xterm (which doesn't use vte of course) sends the SHIFT keys
in question correctly.
Comment 3 Michael Cronenworth 2007-10-18 16:39:22 EDT
Update: vte-0.16.9 still suffers from this bug.
Comment 4 Michael Cronenworth 2007-12-18 09:36:02 EST
I'm not sure if anyone is actively pursuing this bug, but my company is
attempting to switch from SCO Unix to RHEL. I already have a test RHEL 5 system
and I notice that the vte package is only 0.14.0 so that will not cause any
problems. However, if RHEL 6 or higher switch to the 0.16.0 version our
commercial software (terminal based) will not be able to be operated correctly
under an X environment. I guess at that time I will be forced to debug the issue
myself... or force our customers to stay out of X.
Comment 5 Bug Zapper 2008-05-14 09:40:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Michael Cronenworth 2008-06-24 17:13:57 EDT
It seems that there needs to be some straightening out of the Xterm spec.
Someone (I didn't go look to see who) made a #if define around an area and seems
to have forgotten about it. Well this was the cause of the problem.

Looking at the source for vte-0.16.13/src/keymap.c:1440 and below, there is a
#if 1 define. The #if'd statement has a comment that states "Stuff a "1", a
semicolon and the modifier in right before that last character, matching Xterm."
while the old code that actually matches Xterm states "Stuff the modifier in
right before that last character, matching what people expect." After removing
the #if 1 defined code, leaving the old code, and recompiling the RPM everything
works normally and according to the xterm spec.

If anyone has a source for the reason behind this change I'd love to see it, as
the current code goes against the xterm spec as I know it. Otherwise, please
remove the #if 1 defined area. I will make a patch if I must, but it's an easy 6
line removal. I will also pursue upstream if I must (but this appears to be
upstream to begin with).
Comment 7 Michael Cronenworth 2008-06-24 18:06:17 EDT
After further investigating, I found the change.
http://svn.gnome.org/viewvc/vte?view=revision&revision=1391

It appears that this change was made for the CTRL+Arrow keys, but this change
has a negative side effect on the SHIFT+F1-F4 keys. A better patch needs to be
made to fix both issues.
Comment 8 Behdad Esfahbod 2008-06-25 11:51:39 EDT
(In reply to comment #6)
> It seems that there needs to be some straightening out of the Xterm spec.
> Someone (I didn't go look to see who) made a #if define around an area and seems
> to have forgotten about it. Well this was the cause of the problem.
> 
> Looking at the source for vte-0.16.13/src/keymap.c:1440 and below, there is a
> #if 1 define. The #if'd statement has a comment that states "Stuff a "1", a
> semicolon and the modifier in right before that last character, matching Xterm."
> while the old code that actually matches Xterm states "Stuff the modifier in
> right before that last character, matching what people expect." After removing
> the #if 1 defined code, leaving the old code, and recompiling the RPM everything
> works normally and according to the xterm spec.
> 
> If anyone has a source for the reason behind this change I'd love to see it, as
> the current code goes against the xterm spec as I know it. Otherwise, please
> remove the #if 1 defined area. I will make a patch if I must, but it's an easy 6
> line removal. I will also pursue upstream if I must (but this appears to be
> upstream to begin with).


Please forward this upstream to http://bugzilla.gnome.org/ product vte.

Thanks
Comment 9 Michael Cronenworth 2008-06-25 12:11:03 EDT
Added upstream bug report reference.
Comment 10 Bug Zapper 2009-06-09 18:43:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 07:44:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:26:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.